@import 'css3-mixins';
@import "shared/variables";

$orange-header-background-color: #EA5709;
$menu-font-family: $base-font-stack; 
$main-title-font-family: "Trebuchet MS", Helvetica, Arial, "Lucida Grande", sans-serif; 
$tab-radius: 11px;

@mixin disabled {
  @include opacity(0.5);
  pointer-events: none;
}

#dialog-region {
  div.padding {
    left: 0;
    right: 0;
    bottom: 0;
  }

  div.show-again-option{
    margin-top: 4px;
    text-align: center;
  }
}

#modals, #dialog-region {
  // container class for our modals
  .bg {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 800; // jquery-modal is 1000+
    background: #000;
    @include opacity(0.4);
  }

  .modal.no-border{
    .content{
      border-width: 0px;
    }
  }

  .modal {
    z-index: 900; // jquery-modal is 1000+
    zoom: 1;
    font-size: 11px; // base font size
    font-family: $menu-font-family;
    background: #fff;
    position: fixed;
    overflow: hidden;
    top: 0; // resize/reposition to fit with JS
    left: 0;
    right: auto;
    bottom: auto;
    @include border-radius(13px);
    border: 5px solid #222;
    border: 5px solid rgba(0,0,0,.5);
    @include box-sizing;

    padding: 0;
    @include background-clip(padding);


    div.header {
      padding: 5px 10px;
    }
    div.advanced {
      background: #f6f6f6;
      @include box-shadow(inset 0, 0, 5px, rgba(0,0,0, .2));
      @include border-radius-separate(0, 0, 5px, 5px);
      border: 1px solid #ddd;
      h3, h4 {
        color: #000;
      }
      li.input {
        padding-left: 0;
      }
      padding: 10px;
      display: none;
    }
    a.advanced {
      display: inline-block;
      width: auto;
      padding-right: 15px;
      font-size: 11px;
      background: url(/assets/darrow.png);
      background-repeat: no-repeat;
      background-position: right center;
      padding-right: 15px;
      color: #000;
      @include box-sizing;
    }
    a.not_advanced {
      background: url(/assets/uarrow.png);
      background-repeat: no-repeat;
      background-position: right center;
    }
    hr {
      border: 0;
      margin: 0;
      background: #f0f0f0;
      height: 3px;
      border-bottom: 1px solid #eee;
      @include box-shadow(inset -1px, 0, 1px, rgba(0,0,0,.1));
    }
    .body-disabled-overlay {
      margin-right: 10px;
    }

    h1 {
      font-size: 1.5em;
      font-family: $main-title-font-family;
      color: $orange-header-background-color;
      margin: 5px 0;
    }
    a.close.small {
      position: absolute;
      right: 10px;
      top: 6px;
      font-family: Helvetica, arial, sans-serif;
      font-size: 14px;
      font-weight: 600;
      text-decoration: none;
      font-size: 22px;
      color: #777;
      &:hover {
        color: #333;
      }
      &.disabled {
        @include disabled;
      }
    }
    div.content {
      @include box-sizing;
      @include border-radius($tab-radius);
      background: #fff;
      border: 2px solid #d6d6d6;
      padding: 5px 10px;
      overflow-y: auto;
      overflow-x: hidden;
      margin: 0 10px;
      &.top-left-square {
        @include border-radius-separate(0, $tab-radius, $tab-radius, $tab-radius)
      }
      .tab-loading {
        width: 100%;
        height: auto;
        min-height: 140px;
        margin: 0;
      }

    }
    p {
      margin: 7px 10px 10px 0;
      color: black;
    }

    p.inline-error {
      margin: 0;
      margin-left: 20%;
      color: $error-red;
      font-size: 11px;
      padding-left: 20px;
    }
    li.error {
      color: $error-red;
    }

    div.modal-actions {
      $footer-height: 53px;
      border-top: 1px solid darken(#e0e0e0, 7%);
      background: #f3f3f3;
      background-image: url(/assets/tileable_contours_white.jpg);
      background-repeat: repeat;
      margin-top: 10px;
      text-align: center;
      @include border-radius-separate(0, 0, 5px, 5px);
      // @include box-shadow(0, -2px, 3px, rgba(50,50,50,.1));
      &.disabled {
        a {
          @include disabled;
        }
      }
      a {
        font-size: 1.2em;
        line-height: $footer-height;
        &.disabled {
          @include disabled;
        }
      }
    }
  }
}

#modals {
  .modal.flat {
    @include border-radius(5px);
    border: 1px solid #999;
    min-width: 0;
    div.content {
      height: auto;
      border: none;
      padding: 5px 0;
    }
    div.modal-actions {
      background-image: none;
      padding: 0 10px;
    }
  }
}
